package org.exceltopdf;

import com.spire.xls.FileFormat;
import com.spire.xls.Workbook;
import com.spire.xls.Worksheet;

public class ConvertWorksheetToPdf {

    public static void main(String[] args) {

        //Create a Workbook instance and load an Excel file
        Workbook workbook = new Workbook();
        workbook.loadFromFile("portfolio_tracker.xlsx");

        //Set worksheets to fit to page when converting
        workbook.getConverterSetting().setSheetFitToPage(true);

        // Get the first worksheet
        Worksheet worksheet = workbook.getWorksheets().get(0);

        //Save the resulting document to a specified path
        worksheet.saveToPdf("Portfolio_Tracker.pdf");
    }
}